<ion-toolbar color="light">
  <!-- <ion-segment [(ngModel)]="view" (ionChange)="segmentChanged($event)" color="secondary" mode="ios">
    <ion-segment-button value="items">
      <ion-label>Items</ion-label>
    </ion-segment-button>
    <ion-segment-button value="categories">
      <ion-label>Categories</ion-label>
    </ion-segment-button>
  </ion-segment> -->

  <div class="viewer">
    <div class="view view-1" [class.selected]="view == 1" (click)="selectView(1)">items</div>
    <div class="view view-2" [class.selected]="view == 2" (click)="selectView(2)">categories</div>
  </div>

</ion-toolbar>

<ion-content>

  <div *ngIf="view == 1">
    <ion-card *ngFor="let item of items" (click)="openItem(item)">
      <div class="container">
        <div class="thumbnail">
          <img src="assets/imgs/6.jpg" />        
        </div>
        <div class="details">
          <div class="name">{{item.name}}</div>
          <div class="category">{{item.category}}</div>
          <div class="price">{{item.price | currency:' '}} <span class="unit">/ {{item.unit}}</span></div>
        </div>
      </div>
    </ion-card>
  </div>

  <div *ngIf="view == 2">
    
    <ion-card *ngFor="let category of categories">
      <ion-item (click)="expand(category)" lines="none">
        <ion-label>{{category.name}}</ion-label>
        <ion-icon name="chevron-down" *ngIf="category.expand"></ion-icon>
        <ion-icon name="chevron-forward" *ngIf="!category.expand"></ion-icon>
      </ion-item>
      <div *ngIf="category.expand && category.noItems" class="ion-text-center no-items">
        <div class="lbl ion-padding">no items</div>
      </div>
      <div *ngIf="category.expand && !category.noItems">
        <ion-item-divider color="light">
          <ion-label>{{category.items.length}} Items</ion-label>
        </ion-item-divider>
        <ion-item *ngFor="let item of category.items">
          <ion-label>
            <h2>{{item.name}}</h2>
            <p>{{item.unit}}</p>
          </ion-label>
          <ion-badge>{{item.price | currency:' '}}</ion-badge>
        </ion-item>
      </div>
    </ion-card>

    
  </div>

 <ion-fab vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button (click)="add()">
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>